## org.eclipse.datatools.connectivity.oda
Interface IResultSet

All Known Subinterfaces:
  IParameterRowSet

public interface IResultSet

The interface used to access a set of data rows retrieved by an IQuery object. An IResultSet object maintains a cursor pointing to its current row of data. Initially, the cursor is positioned before the first row. The next() method moves the cursor to the next row until there are no more rows, or if the MaxRows limit has been reached.

A result set column may be referenced by name or position.
The case-sensitivity of a name is implementation-dependent. All indices in this interface are 1-based.

Method Summary
`void` `close()` Closes the cursor associated with this IResultSet.
`int` `findColumn(java.lang.String columnName)` Returns the column index of the specified column name.
`java.math.BigDecimal` `getBigDecimal(int index)` Gets the value of the designated column in the current row as a decimal.
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnName)` Gets the value of the designated column in the current row as a decimal.
`IBlob` `getBlob(int index)` Gets the value of the designated column in the current row as an IBlob object.
`IBlob` `getBlob(java.lang.String columnName)` Gets the value of the designated column in the current row as an IBlob object.
`boolean` `getBoolean(int index)` Gets the value of the designated column in the current row as a boolean.
`boolean` `getBoolean(java.lang.String columnName)` Gets the value of the designated column in the current row as a boolean.
`IClob` `getClob(int index)` Gets the value of the designated column in the current row as an IClob object.
`IClob` `getClob(java.lang.String columnName)` Gets the value of the designated column in the current row as an IClob object.
`java.sql.Date` `getDate(int index)` Gets the value of the designated column in the current row as a java.sql.Date.
`java.sql.Date` `getDate(java.lang.String columnName)` Gets the value of the designated column in the current row as a java.sql.Date.
`double` `getDouble(int index)` Gets the value of the designated column in the current row as a double.
`double` `getDouble(java.lang.String columnName)` Gets the value of the designated column in the current row as a double.
`int` `getInt(int index)` Gets the value of the designated column in the current row as an int.
`int` `getInt(java.lang.String columnName)` Gets the value of the designated column in the current row as an int.
`IResultSetMetaData` `getMetaData()` Returns the metadata associated with this IResultSet.
`int` `getRow()` Returns the current row's 1-based index position.
`java.lang.String` `getString(int index)` Gets the value of the designated column in the current row as a String.
`java.lang.String` `getString(java.lang.String columnName)` Gets the value of the designated column in the current row as a String.
`java.sql.Time` `getTime(int index)` Gets the value of the designated column in the current row as a java.sql.Time.
`java.sql.Time` `getTime(java.lang.String columnName)` Gets the value of the designated column in the current row as a java.sql.Time.
`java.sql.Timestamp` `getTimestamp(int index)` Gets the value of the designated column in the current row as a java.sql.Timestamp.
`java.sql.Timestamp` `getTimestamp(java.lang.String columnName)` Gets the value of the designated column in the current row as a java.sql.Timestamp.
`boolean` `next()` Moves the cursor down one row from its current position.
`void` `setMaxRows(int max)` Specifies the maximum number of rows that can be fetched from this result set.
`boolean` `wasNull()` Returns whether the value read from the previous get<type> method was invalid or null.

Method Detail

### getMetaData

    public IResultSetMetaData getMetaData()
                                   throws OdaException

  Returns the metadata associated with this IResultSet.

  Returns:
    the metadata for this IResultSet
  Throws:
    `OdaException` - if data source error occurs

### close

    public void close()
               throws OdaException

  Closes the cursor associated with this IResultSet.

  Throws:
    `OdaException` - if data source error occurs

### setMaxRows

    public void setMaxRows(int max)
                    throws OdaException

  Specifies the maximum number of rows that can be fetched from this result set.
  An optional method.

  Parameters:
    `max` - maximum number of rows that can be fetched from this IResultSet; zero means there is no limit. This value should not be greater than the maximum number of rows specified in the related IQuery.
  Throws:
    `OdaException` - if data source error occurs
  Since:
    1.1

### next

    public boolean next()
                 throws OdaException

  Moves the cursor down one row from its current position.

  Returns:
    true, if next data row exists and the maxRows limit has not been reached.
  Throws:
    `OdaException` - if data source error occurs

### getRow

    public int getRow()
               throws OdaException

  Returns the current row's 1-based index position.
  An optional method.

  Returns:
    current row's 1-based index position
  Throws:
    `OdaException` - if data source error occurs

### getString

    public java.lang.String getString(int index)
                               throws OdaException

  Gets the value of the designated column in the current row as a String. An ODA runtime driver may or may not support getString() on a non-String type column. The format of the returned string is implementation-dependent.

  Parameters:
    `index` - column number (1-based)
  Returns:
    the string value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getString

    public java.lang.String getString(java.lang.String columnName)
                               throws OdaException

  Gets the value of the designated column in the current row as a String. An ODA runtime driver may or may not support getString() on a non-String type column. The format of the returned string is implementation-dependent.

  Parameters:
    `columnName` - column name
  Returns:
    the string value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs.

### getInt

    public int getInt(int index)
               throws OdaException

  Gets the value of the designated column in the current row as an int.

  Parameters:
    `index` - column number (1-based)
  Returns:
    the integer value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getInt

    public int getInt(java.lang.String columnName)
               throws OdaException

  Gets the value of the designated column in the current row as an int.

  Parameters:
    `columnName` - column name
  Returns:
    the integer value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getDouble

    public double getDouble(int index)
                     throws OdaException

  Gets the value of the designated column in the current row as a double.

  Parameters:
    `index` - column number (1-based)
  Returns:
    the double value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getDouble

    public double getDouble(java.lang.String columnName)
                     throws OdaException

  Gets the value of the designated column in the current row as a double.

  Parameters:
    `columnName` - column name
  Returns:
    the double value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int index)
                                       throws OdaException

  Gets the value of the designated column in the current row as a decimal.

  Parameters:
    `index` - column number (1-based)
  Returns:
    the decimal value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs
  Since:
    1.1

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws OdaException

  Gets the value of the designated column in the current row as a decimal.

  Parameters:
    `columnName` - column name
  Returns:
    the decimal value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs
  Since:
    1.1

### getDate

    public java.sql.Date getDate(int index)
                          throws OdaException

  Gets the value of the designated column in the current row as a java.sql.Date.

  Parameters:
    `index` - column number (1-based)
  Returns:
    the java.sql.Date value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getDate

    public java.sql.Date getDate(java.lang.String columnName)
                          throws OdaException

  Gets the value of the designated column in the current row as a java.sql.Date.

  Parameters:
    `columnName` - column name
  Returns:
    the java.sql.Date value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getTime

    public java.sql.Time getTime(int index)
                          throws OdaException

  Gets the value of the designated column in the current row as a java.sql.Time.

  Parameters:
    `index` - column number (1-based)
  Returns:
    the java.sql.Time value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getTime

    public java.sql.Time getTime(java.lang.String columnName)
                          throws OdaException

  Gets the value of the designated column in the current row as a java.sql.Time.

  Parameters:
    `columnName` - column name
  Returns:
    the java.sql.Time value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getTimestamp

    public java.sql.Timestamp getTimestamp(int index)
                                    throws OdaException

  Gets the value of the designated column in the current row as a java.sql.Timestamp.

  Parameters:
    `index` - column number (1-based)
  Returns:
    the java.sql.Timestamp value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName)
                                    throws OdaException

  Gets the value of the designated column in the current row as a java.sql.Timestamp.

  Parameters:
    `columnName` - column name
  Returns:
    the java.sql.Timestamp value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs

### getBlob

    public IBlob getBlob(int index)
                  throws OdaException

  Gets the value of the designated column in the current row as an IBlob object.

  Note: The driver must guarantee that the returned object and its BLOB data would remain valid and accessible until this result set is closed.

  Parameters:
    `index` - column number (1-based)
  Returns:
    an IBlob object that represents the BLOB value in the specific column of the current row; or `null` if the specific column has null value
  Throws:
    `OdaException` - if data source error occurs
  Since:
    3.0

### getBlob

    public IBlob getBlob(java.lang.String columnName)
                  throws OdaException

  Gets the value of the designated column in the current row as an IBlob object.

  Note: The driver must guarantee that the returned object and its BLOB data would remain valid and accessible until this result set is closed.

  Parameters:
    `columnName` - column name
  Returns:
    an IBlob object that represents the BLOB value in the specific column of the current row; or `null` if the specific column has null value
  Throws:
    `OdaException` - if data source error occurs
  Since:
    3.0

### getClob

    public IClob getClob(int index)
                  throws OdaException

  Gets the value of the designated column in the current row as an IClob object.

  Note: The driver must guarantee that the returned object and its CLOB data would remain valid and accessible until this result set is closed.

  Parameters:
    `index` - column number (1-based)
  Returns:
    an IClob object that represents the CLOB value in the specific column of the current row; or `null` if the specific column has null value
  Throws:
    `OdaException` - if data source error occurs
  Since:
    3.0

### getClob

    public IClob getClob(java.lang.String columnName)
                  throws OdaException

  Gets the value of the designated column in the current row as an IClob object.

  Note: The driver must guarantee that the returned object and its CLOB data would remain valid and accessible until this result set is closed.

  Parameters:
    `columnName` - column name
  Returns:
    an IClob object that represents the CLOB value in the specific column of the current row; or `null` if the specific column has null value
  Throws:
    `OdaException` - if data source error occurs
  Since:
    3.0

### getBoolean

    public boolean getBoolean(int index)
                       throws OdaException

  Gets the value of the designated column in the current row as a boolean.

  Parameters:
    `index` - column number (1-based)
  Returns:
    the boolean value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs
  Since:
    3.1

### getBoolean

    public boolean getBoolean(java.lang.String columnName)
                       throws OdaException

  Gets the value of the designated column in the current row as a boolean.

  Parameters:
    `columnName` - column name
  Returns:
    the boolean value in the specific column of the current row
  Throws:
    `OdaException` - if data source error occurs
  Since:
    3.1

### wasNull

    public boolean wasNull()
                    throws OdaException

  Returns whether the value read from the previous get<type> method was invalid or null. This needs to be called immediately after the call to a get<type> method.

  Returns:
    true, if the previous get<type> call was invalid or null
  Throws:
    `OdaException` - if data source error occurs

### findColumn

    public int findColumn(java.lang.String columnName)
                   throws OdaException

  Returns the column index of the specified column name.

  Parameters:
    `columnName` - name of the column
  Returns:
    column index (1-based)
  Throws:
    `OdaException` - if data source error occurs

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.